statemachine: training

gaits:
  turn_off:
    other
  home_sit:
    gait_name: home_sit
    on_completion: stand_d
  stand:
    gait_name: stand
    on_completion: start_menu
  stand_d:
    gait_name: stand
    on_completion: stand_d
  curb_up:
    gait_name: curb_up
    on_completion: curb_menu
  realsense_curb_up:
    gait_name: realsense_curb_up
    on_completion: curb_menu
  realsense_curb_up_d:
    gait_name: realsense_curb_up
    on_completion: realsense_curb_up_d
  curb_down:
    gait_name: curb_down
    on_completion: curb_menu
  realsense_curb_down:
    gait_name: realsense_curb_down
    on_completion: curb_menu
  walk: 
    gait_name: walk
    on_completion: walk
  walk_single_step:
    gait_name: walk_single_step
    on_completion: walk_single_step
  home_stand:
    gait_name: home_stand
    on_completion: walk
  sit:
    gait_name: sit
    on_completion: sit
  # walk_single_step_small:
  #   gait_name: walk_single_step_small
  #   on_completion: single_step_small
  # walk_small:
  #   gait_name: walk_small
  #   on_completion: walk_small
  walk_large:
    gait_name: walk_large
    on_completion: walk_large
  walk_large_single_step:
    gait_name: walk_single_step_large
    on_completion: walk_large_single_step
  # stable_standing:
  #   gait_name: stable_stand
  #   on_completion: home_stand
  stand:
    gait_name: stand
    on_completion: sit_menu
  sit:
    gait_name: sit
    on_completion: stand
  realsense_stand_d:
    gait_name: realsense_stand
    on_completion: realsense_stand_d
  realsense_stand:
    gait_name: realsense_stand
    on_completion: sit_menu
  realsense_sit_d:
    gait_name: realsense_sit
    on_completion: realsense_stand_d
  realsense_sit:
    gait_name: realsense_sit
    on_completion: realsense_stand
  stairs_up:
    gait_name: stairs_up
    on_completion: stairs_menu
  stairs_up_single_step:
    gait_name: stairs_up_single_step
    on_completion: stairs_up_single_step
  realsense_stairs_up:
    gait_name: realsense_stairs_up
    on_completion: stairs_menu
  realsense_stairs_up_single_step:
    gait_name: realsense_stairs_up_single_step
    on_completion: realsense_stairs_up_single_step
  realsense_stairs_up_single_step_d:
    gait_name: realsense_stairs_up_single_step
    on_completion: realsense_stairs_up_single_step_d
  stairs_down:
    gait_name: stairs_down
    on_completion: stairs_menu
  stairs_down_single_step:
    gait_name: stairs_down_single_step
    on_completion: stairs_down_single_step
  realsense_stairs_down:
    gait_name: realsense_stairs_down
    on_completion: stairs_menu
  realsense_stairs_down_single_step:
    gait_name: realsense_stairs_down_single_step
    on_completion: realsense_stairs_down_single_step
  stairs_down_reverse:
    gait_name: stairs_down_backwards
    on_completion: stairs_menu
  stairs_down_reverse_single_step:
    gait_name: stairs_down_backwards_single_step
    on_completion: stairs_down_reverse_single_step
  realsense_stairs_down_reverse:
    gait_name: realsense_stairs_down_backwards
    on_completion: stairs_menu
  realsense_stairs_down_reverse_single_step:
    gait_name: realsense_stairs_down_backwards_single_step
    on_completion: realsense_stairs_down_reverse_single_step
  ramp_down_last_step:
    gait_name: ramp_down_last_step
    on_completion: ramp_menu
  ramp_down:
    gait_name: ramp_down
    on_completion: ramp_down_last_step
  ramp_up:
    gait_name: ramp_up
    on_completion: ramp_menu
  ramp_up_single_step:
    gait_name: ramp_up_single_step
    on_completion: ramp_up_single_step
  realsense_ramp_down_last_step:
    gait_name: realsense_ramp_down_last_step
    on_completion: ramp_menu
  realsense_ramp_down_last_step_d:
    gait_name: realsense_ramp_down_last_step
    on_completion: realsense_ramp_down_last_step_d
  realsense_ramp_down:
    gait_name: realsense_ramp_down
    on_completion: realsense_ramp_down_last_step
  realsense_ramp_down_d:
    gait_name: realsense_ramp_down
    on_completion: realsense_ramp_down_last_step_d
  realsense_ramp_up:
    gait_name: realsense_ramp_up
    on_completion: ramp_menu
  realsense_ramp_up_d:
    gait_name: realsense_ramp_up
    on_completion: realsense_ramp_up_d
  ramp_down_single_step:
    gait_name: ramp_down_single_step
    on_completion: ramp_down_single_step
  realsense_ramp_up_single_step:
    gait_name: realsense_ramp_up_single_step
    on_completion: realsense_ramp_up_single_step
  realsense_ramp_down_single_step:
    gait_name: realsense_ramp_down_single_step
    on_completion: realsense_ramp_down_single_step
  realsense_ramp_down_start_single_step:
    gait_name: realsense_ramp_down_start_single_step
    on_completion: realsense_ramp_down_single_step
  # side_step_left:
  #   gait_name: side_step_left
  #   on_completion: side_step_left
  # side_step_right:
  #   gait_name: side_step_right
  #   on_completion: side_step_right
  ramp_down_start_single_step:
    gait_name: ramp_down_start_single_step
    on_completion: ramp_down_single_step
  
  
  


menus:
  - obstacle
  - curb
  - sit
  - stairs
  - stairs_up
  - stairs_down
  - stairs_down_reverse
  - ramp
  - ramp_up
  - ramp_down

start:
  state_first: home_sit
  state_second: stand_d
  state_third: realsense_sit_d
  state_fourth: realsense_stand_d
  state_fifth: realsense_curb_up_d
  state_sixth: realsense_ramp_up_d
  state_seventh: realsense_ramp_down_d
  state_eighth: realsense_ramp_down_last_step_d
  state_ninth: realsense_stairs_up_single_step_d
  state_tenth: obstacle_menu

obstacle:
  menu_select: start
  state_first: curb_menu
  state_second: stairs_menu
  state_third: sit_menu
  state_fourth: ramp_menu

curb:
  menu_select: obstacle
  state_first: curb_up
  state_second: realsense_curb_up
  state_third: curb_down
  state_fourth: realsense_curb_down

sit:
  menu_select: obstacle
  state_first: sit
  state_second: realsense_sit
  state_third: stand
  state_fourth: realsense_stand

stairs:
  menu_select: obstacle
  state_first: stairs_up_menu
  state_second: stairs_down_menu
  state_third: stairs_down_reverse_menu

stairs_up:
  menu_select: stairs
  state_first: stairs_up
  state_second: stairs_up_single_step
  state_third: realsense_stairs_up
  state_fourth: realsense_stairs_up_single_step

stairs_down:
  menu_select: stairs
  state_first: stairs_down
  state_second: stairs_down_single_step
  state_third: realsense_stairs_down
  state_fourth: realsense_stairs_down_single_step

stairs_down_reverse:
  menu_select: stairs
  state_first: stairs_down_reverse
  state_second: stairs_down_reverse_single_step
  state_third: realsense_stairs_down_reverse
  state_fourth: realsense_stairs_down_reverse_single_step

ramp:
  menu_select: obstacle
  state_first: ramp_up_menu
  state_second: ramp_down_menu

ramp_up:
  menu_select: ramp
  state_first: ramp_up
  state_second: realsense_ramp_up
  state_third: ramp_up_single_step
  state_fourth: realsense_ramp_up_single_step

ramp_down:
  menu_select: ramp
  state_first: ramp_down
  state_second: ramp_down_start_single_step
  state_third: ramp_down_single_step
  state_fourth: ramp_down_last_step
  state_fifth: realsense_ramp_down
  state_sixth: realsense_ramp_down_start_single_step
  state_seventh: realsense_ramp_down_single_step
  state_eighth: realsense_ramp_down_last_step

shortcut:
  alias: walk
  state_first: walk_large_single_step
  state_second: walk_large
  state_third: walk_single_step
  state_fourth: walk
  state_fifth: home_stand
